#{extends 'border.html'/}
<div class="container-fluid">

    <div class="row">
        <div class="col-md-2 hidden-mobile">
        #{include 'pl/filter-permohonan-pembaruan.html'/}
        </div>

        <div class="col-md-10">
            <h4>&{'daftar_permohonan_pembaruan.label'}</h4>

            <!-- Toolbar -->
            <div class="toolbar" ${showButtonPermohonan ? "" : "hidden" }>
                <a href="@{create()}" class="btn btn-primary btn-md"><i class="fa fa-plus"></i> &{'tambah.label'} &{'permohonan.label'}</a>
            </div>
            <!-- End Toolbar -->
        #{alert /}
        *{#{if !model.items.isEmpty()}}*
            <div class="panel panel-default">
                <div class="panel-body" style="overflow-x:auto;">
                    <!-- Data Table -->
                    <table class="table table-striped" id="tblPermohonanPembaruan">
                        <thead>
                        <tr>
                            <th class="header-center">&{'nomor.label'}</th>
                            <th class="header-center" colspan="2">&{'tipe_permohonan.label'}</th>
                            <th class="header-center">&{'perihal_permohonan.label'}</th>
                            <th class="header-center">&{'penyedia.label'}</th>
                            <th class="header-center">&{'file_lampiran.label'}</th>
                            <th class="header-center" colspan="2">&{'status.label'}</th>
                            <th class="header-center">&{'posisi.label'}</th>
                            <th class="header-center">&{'tanggal_pengajuan.label'}</th>
                            <th class="header-center">&{'apakah_disetujui.label'}?</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        #{set idx = (paramQuery.page - 1) * paramQuery.per_page /}
                            #{list model.items, as:"i"}
                            #{set isBatal = i.getStatusLabel().equalsIgnoreCase("BATAL") || i.getStatusLabel().equalsIgnoreCase("DIBATALKAN") ? true : false/}
                            <tr #{if i.butuh_konfirmasi_kehadiran > 0 } style="background-color: #f3d17a !important;" #{/if} >
                                <td class="column-center">#{if isBatal}<strike>#{/if}${idx = idx + 1}.#{if isBatal}</strike>#{/if}</td>
                                <td class="column-center" style="text-transform: capitalize">
                                    #{if i?.jenis_komoditas?.equalsIgnoreCase("nasional") || i?.jenis_komoditas == null}
                                        <span style='color:red' class='fa fa-flag fa-md'><br>&{'lkpp.label'}</span>
                                    #{/if}
                                    #{if i?.jenis_komoditas?.equalsIgnoreCase("sektoral")}
                                        <span style='color:green' class='fa fa-bank fa-md'><br>${i?.kldi_nama}</span>
                                    #{/if}
                                    #{if i?.jenis_komoditas?.equalsIgnoreCase("lokal")}
                                        <span style='color:blue' class='fa fa-map-signs fa-md'><br>${i?.kldi_nama}</span>
                                    #{/if}
                                </td>
                                <td class="column-left" style="text-transform: capitalize">#{if isBatal}<strike>#{/if}${i?.getTipeLabel()}#{if isBatal}</strike>#{/if}</td>
                                <td class="column-left">#{if isBatal}<strike>#{/if}<b>${i?.getNomor_permohonan()}</b><br/>${i?.deskripsi}#{if isBatal}</strike>#{/if}</td>
                                <td class="column-left">#{if isBatal}<strike>#{/if}${i?.nama_penyedia}#{if isBatal}</strike>#{/if}</td>
                                <td class="column-center">#{if isBatal}<strike>#{/if}<a href="${i?.getFileUrl()}">${i?.nama_file}</a>#{if isBatal}</strike>#{/if}</td>
                                <td class="column-center" style="text-transform: capitalize">
                                    <button type="button" class="btn btn-default btn-sm" id="btn_riwayat" value="${i?.id}">
                                        <span style='color:dodgerblue' class='fa fa-info-circle fa-lg'></span>
                                    </button>
                                </td>
                                <td class="column-left" style="text-transform: capitalize">#{if isBatal}<strike>#{/if}${i?.getStatusLabel()}#{if isBatal}</strike>#{/if}</td>
                                <td class="column-left" style="text-transform: capitalize">#{if isBatal}<strike>#{/if}${i?.getPosisiLabel()}#{if isBatal}</strike>#{/if}</td>
                                <td class="column-center">#{if isBatal}<strike>#{/if}${i?.getReadableRequestApprovedDate()}#{if isBatal}</strike>#{/if}</td>
                                <td class="column-center">
                                    #{if i.setuju_tolak == models.permohonan.PermohonanPembaruan.STATUS_SETUJU_DATA}<span style='color:green' class='fa fa-check fa-lg'></span>#{/if}
                                    #{elseif i.setuju_tolak == models.permohonan.PermohonanPembaruan.STATUS_TOLAK_DATA}<span style='color:red' class='fa fa-close fa-lg'></span>#{/elseif}
                                    #{elseif i.setuju_tolak == models.permohonan.PermohonanPembaruan.STATUS_SETUJU_PROSES}<span style='color:green' class='fa fa-check-circle fa-lg'></span>#{/elseif}
                                    #{elseif i.setuju_tolak == models.permohonan.PermohonanPembaruan.STATUS_TOLAK_PROSES}<span style='color:red' class='fa fa-times-circle fa-lg'></span>#{/elseif}
                                    #{else}N/A#{/else}
                                </td>
                                <td class="column-center">
                                    <div class="dropdown">
                                        <button class="btn btn-default dropdown-toggle" type="button" id="dropdownMenu1" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">&{'aksi.label'}<span class="caret"></span></button>
                                        #{printBerita i?.getMakeButtonGroups().toString()/}
                                    </div>
                                </td>
                            </tr>
                            #{/list}
                        </tbody>
                    </table>
                    <!-- End Data Table -->
                </div>
            </div>
            #{pagination model.getPageAble()/}
        *{#{/if}}*
        *{#{else }}*
            *{#{ListDefaultMessage type:"Paket"/}}*
        *{#{/else}}*
        </div>
    </div>

    <!-- Modal informasi riwayat permohonan-->
    <div class="modal fade" id="viewRiwayat" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                            aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title" id="myModalLabel">&{'permohonan_pembaruan_riwayat.label'}</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-12">
                            <p><h4><b>&{'permohonan_pembaruan_informasi.label'}</b></h4></p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="row">
                                <label class="col-md-3">&{'penyedia.label'}</label>
                                <label class="col-md-1">:</label>
                                <label id="info_penyedia" class="col-md-8"></label>
                            </div>
                            <div class="row">
                                <label class="col-md-3">&{'tipe_permohonan.label'}</label>
                                <label class="col-md-1">:</label>
                                <label id="info_tipe" class="col-md-8" style="text-transform: capitalize"></label>
                            </div>
                            <div class="row">
                                <label class="col-md-3">&{'perihal_permohonan.label'}</label>
                                <label class="col-md-1">:</label>
                                <label id="info_perihal" class="col-md-8" style="text-transform: capitalize"></label>
                            </div>
                        </div>
                    </div>
                    <hr>
                    <div class="row">
                        <div id="riwayatResult">
                            <div><label class="control-label"><h4><b>&{'permohonan_pembaruan_riwayat_data.label'}</b></h4></label></div>
                            <div class="panel panel-default" style="padding:10px;">
                                <table class="table table-striped" id="tblRiwayatCari">
                                    <thead>
                                    <th>&{'tanggal.label'}</th>
                                    <th>&{'oleh.label'}</th>
                                    <th>&{'catatan.label'}</th>
                                    <th>&{'progres.label'}</th>
                                    </thead>
                                    <tbody id="tabelbody">
                                    <tr id="tabeltr"></tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-md" data-dismiss="modal"><i
                            class="fa fa-close"></i> &{'tutup.label'}</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal informasi batal permohonan-->
    <div class="modal fade" id="viewRiwayatBatal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
        #{form @katalog.PermohonanPembaruanCtr.batalkanPermohonan(), method:'POST', id:'formBatal'}
        <div class="modal-dialog modal-md" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                            aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title" id="myModalLabelBatal">&{'permohonan_pembaruan.label'}</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-12">
                            <p><h4><b>&{'permohonan_pembaruan_informasi.label'}</b></h4></p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="row">
                                <label class="col-md-4">&{'penyedia.label'}</label>
                                <label class="col-md-1">:</label>
                                <label id="info_penyedia_batal" class="col-md-7"></label>
                            </div>
                            <div class="row">
                                <label class="col-md-4">&{'tipe_permohonan.label'}</label>
                                <label class="col-md-1">:</label>
                                <label id="info_tipe_batal" class="col-md-7" style="text-transform: capitalize"></label>
                            </div>
                            <div class="row">
                                <label class="col-md-4">&{'perihal_permohonan.label'}</label>
                                <label class="col-md-1">:</label>
                                <label id="info_perihal_batal" class="col-md-7" style="text-transform: capitalize"></label>
                            </div>
                        </div>
                    </div>
                    <hr>
                    <div class="row" style="text-align: center !important;"><b>&{'permohonan_pembaruan_batal.label'}</b></div>
                    <div class="row">
                        <div class="col-lg-12">
                            <p>&{'alasan.label'}</p>
                            #{authenticityToken /}
                            <div class="form-group error">
                                <div class="col-md-12">
                                    <input class="form-control alasan" value="" id="alasan" name="alasan"/>
                                </div>
                            </div>
                        </div>
                    </div>
                    <input class="form-control permId" id="permId" name="permId" style="display: none"/>
                </div>
                <div class="modal-footer">
                    <button type="button" onclick="submitBatal()" class="btn btn-danger batal"
                            id="batal">&{'ya.label'}</button>&nbsp;
                    <button type="button" class="btn btn-primary" data-dismiss="modal">&{'tidak.label'}</button>&nbsp;
                </div>
            </div>
        </div>
        #{/form}
    </div>
    <div class="btn-footer">
        <div class="row">
            <div class="col-xs-12">
                <a href="#" onclick="openFilterPembaharuan()">Filter</a>
            </div>
        </div>
    </div>
    <div class="faq" id="mobile-sidebar">
        <div class="mobile-navigation-bar">
            <a href="#" onclick="closeSidebar()">
                <i class="fa fa-arrow-circle-left"></i> &{'permohonan_pembaruan.label'}
            </a>
        </div>
        <div class="container-fluid">
            <div class="row">
                <div class="col-xs-12 col-sm-12">
                    #{include 'pl/filter-permohonan-pembaruan.html'/}
                </div>
            </div>
        </div>
    </div>
</div>
#{set 'moreScripts'}
<script src="@{'/public/javascripts/toast/jquery.toast.min.js'}" type="text/javascript"></script>
<script type="text/javascript">
    jQuery(document).ready(function($) {
        $("#submitBtn").on("click", function () {
            $.showLoading();
            $("#centerTableEmpty").html("&{'tungguproses.label'}")
        });

        $('#keyword').keypress(function(event){
            var keycode = event.keyCode || event.which;
            if(keycode == '13') {
                $('#submitBtn').click();
                return false;
            }
            return;
        });
    });

    $("body").on("click", "#btn_riwayat", function () {
        var this_val = $(this).val();
        var row = $(this).closest('tr');
        var columns = row.find('td');
         // console.log(columns[3].innerHTML.replace("<strike>", "").replace("</strike>", ""));
         // console.log(columns[2].innerHTML);

        $("#info_penyedia").empty().append(columns[4].innerHTML.replace("<strike>", "").replace("</strike>", ""));
        $("#info_tipe").empty().append(columns[2].innerHTML.replace("<strike>", "").replace("</strike>", ""));
        $("#info_perihal").empty().append(columns[3].innerHTML.replace("<strike>", "").replace("</strike>", "").replace("<br>"," "));

        showRiwayat(this_val);
    });

    $("body").on("click", "#batalPermohonan", function () {
        var row = $(this).closest('tr');
        var columns = row.find('td');
        var datax = columns.find('button');
        var this_val = datax.val();

        $("#info_penyedia_batal").empty().append(columns[3].innerHTML.replace("<strike>", "").replace("</strike>", ""));
        $("#info_tipe_batal").empty().append(columns[1].innerHTML.replace("<strike>", "").replace("</strike>", ""));
        $("#info_perihal_batal").empty().append(columns[2].innerHTML.replace("<strike>", "").replace("</strike>", "").replace("<br>"," "));
        $("#permId").val(this_val);

        showRiwayatBatal(this_val);
    });

    function showRiwayatBatal(permPembId) {
        $("#viewRiwayatBatal").modal();
    }

    function submitBatal() {
        if ($('#alasan').val() == "") {
            showToast();
        } else {
            $('#formBatal').submit();
        }
    }

    function showToast() {
        jQuery.toast({
            heading: "&{'peringatan.label'}",
            text: "&{'alasan_tidak_boleh_kosong.label'}",
            position: 'bottom-center',
            stack: false,
            icon: 'error',
            hideAfter: 6000
        })
    }

    function showRiwayat(permPembId) {
        $.ajax({
            url: '@{katalog.PermohonanPembaruanCtr.riwayatPermohonan()}',
            data: {"permohonan_pembaruan_id": permPembId},
            type: 'POST',
            success: function (data) {
                $("#viewRiwayat").modal();
                $("#tabelbody").empty();
                if (data.data.length>0){
                    // console.log(data.data);
                    var data = data.data;
                    var tr;

                    for(var i=0; i<data.length;i++){
                        tr = $("<tr id=\"tabeltr\"/>");
                        tr.append("<td>" + data[i].tanggal + "</td>");
                        // if (data[i].tipe_user == 'Penyedia') {
                            tr.append("<td>" + "<b style=\"text-transform: capitalize\">" + data[i].tipe_user + "</b> : " + data[i].nama_lengkap + "</td>");
                        // }else{
                        //     tr.append("<td>" + "<b style=\"text-transform: capitalize\">"+data[i].tipe_user + "</b> : </td>");
                        // }
                        tr.append("<td>" + data[i].catatan + "</td>");
                        tr.append("<td style=\"text-transform: capitalize\">" + data[i].status_riwayat + "</td>");

                        $("#tabelbody").append(tr);
                    }
                }

            }
        });
    }
</script>
#{/set}